## mingw-w64-mlir-21.1.4-1.src.tar.zst

=== include/mlir/CMakeLists.txt ===
add_subdirectory(Bytecode)
add_subdirectory(Conversion)
add_subdirectory(Dialect)
add_subdirectory(IR)
add_subdirectory(Interfaces)
add_subdirectory(Reducer)
add_subdirectory(Transforms)
