=== lib/Conversion/SPIRVCommon/CMakeLists.txt ===
add_mlir_conversion_library(MLIRSPIRVAttrToLLVMConversion
  AttrToLLVMConverter.cpp

  DEPENDS
  MLIRSPIRVEnumsIncGen
)
